tweaks
This commit is contained in:
parent
027276c4eb
commit
5dd7b5578f
@ -11,9 +11,7 @@ board_cutout = (
|
|||||||
cq.Sketch().trapezoid(55, 50, 90, mode="a").reset().vertices("<X").fillet(5)
|
cq.Sketch().trapezoid(55, 50, 90, mode="a").reset().vertices("<X").fillet(5)
|
||||||
)
|
)
|
||||||
|
|
||||||
cable_relief = (
|
cable_relief = cq.Sketch().trapezoid(width, 30, 90)
|
||||||
cq.Sketch().trapezoid(width, 30, 90)
|
|
||||||
)
|
|
||||||
|
|
||||||
segment_breaks_top = (
|
segment_breaks_top = (
|
||||||
cq.Sketch()
|
cq.Sketch()
|
||||||
|
@ -18,7 +18,7 @@ hinge_gap = screw_shaft - 2 * hinge_t
|
|||||||
hinge_profile_1 = (
|
hinge_profile_1 = (
|
||||||
cq.Sketch()
|
cq.Sketch()
|
||||||
.segment((0, 0), (0, hinge_h))
|
.segment((0, 0), (0, hinge_h))
|
||||||
.arc((0, hinge_h), (hinge_w / 2, hinge_h + hinge_w/2), (hinge_w, hinge_h))
|
.arc((0, hinge_h), (hinge_w / 2, hinge_h + hinge_w / 2), (hinge_w, hinge_h))
|
||||||
.segment((hinge_w, 0))
|
.segment((hinge_w, 0))
|
||||||
.close()
|
.close()
|
||||||
.arc((hinge_w / 2, hinge_h), screw_radius, 0, 360)
|
.arc((hinge_w / 2, hinge_h), screw_radius, 0, 360)
|
||||||
@ -28,7 +28,7 @@ hinge_profile_1 = (
|
|||||||
hinge_profile_2 = (
|
hinge_profile_2 = (
|
||||||
cq.Sketch()
|
cq.Sketch()
|
||||||
.segment((0, 0), (0, hinge_h))
|
.segment((0, 0), (0, hinge_h))
|
||||||
.arc((0, hinge_h), (hinge_w / 2, hinge_h + hinge_w/2), (hinge_w, hinge_h))
|
.arc((0, hinge_h), (hinge_w / 2, hinge_h + hinge_w / 2), (hinge_w, hinge_h))
|
||||||
.segment((hinge_w, 0))
|
.segment((hinge_w, 0))
|
||||||
.close()
|
.close()
|
||||||
.arc((hinge_w / 2, hinge_h), ti_radius, 0, 360)
|
.arc((hinge_w / 2, hinge_h), ti_radius, 0, 360)
|
||||||
@ -44,4 +44,4 @@ hinge = (
|
|||||||
.extrude(hinge_t)
|
.extrude(hinge_t)
|
||||||
)
|
)
|
||||||
|
|
||||||
#exporters.export(hinge, "hinge.stl")
|
# exporters.export(hinge, "hinge.stl")
|
||||||
|
@ -34,17 +34,13 @@ lower_arm = (
|
|||||||
.fillet(0.25)
|
.fillet(0.25)
|
||||||
.faces(">Y")
|
.faces(">Y")
|
||||||
# Add hinge that connects to the monitor
|
# Add hinge that connects to the monitor
|
||||||
.workplane(
|
.workplane(centerOption="CenterOfBoundBox", offset=(hinge_gap - arm_width) / 2)
|
||||||
centerOption="CenterOfBoundBox", offset=(hinge_gap - arm_width) / 2
|
|
||||||
)
|
|
||||||
.center(0, arm_length / 2 + (outer_monitor_hinge - inner_monitor_hinge))
|
.center(0, arm_length / 2 + (outer_monitor_hinge - inner_monitor_hinge))
|
||||||
.placeSketch(monitor_hinge_shape)
|
.placeSketch(monitor_hinge_shape)
|
||||||
.extrude(-hinge_gap)
|
.extrude(-hinge_gap)
|
||||||
.center(0, -(arm_length + outer_tripod_hinge))
|
.center(0, -(arm_length + outer_tripod_hinge))
|
||||||
# Undo previous offset + new offset
|
# Undo previous offset + new offset
|
||||||
.workplane(
|
.workplane(offset=-(hinge_gap - arm_width - tripod_hinge_width + arm_width) / 2)
|
||||||
offset=-(hinge_gap - arm_width - tripod_hinge_width + arm_width) / 2
|
|
||||||
)
|
|
||||||
# Add hinge that connects to the tripod
|
# Add hinge that connects to the tripod
|
||||||
.placeSketch(tripod_hinge_shape)
|
.placeSketch(tripod_hinge_shape)
|
||||||
.extrude(-tripod_hinge_width)
|
.extrude(-tripod_hinge_width)
|
||||||
|
@ -60,14 +60,16 @@ rear_mount = (
|
|||||||
.cutBlind(-screw_head_h)
|
.cutBlind(-screw_head_h)
|
||||||
# Hinge integration
|
# Hinge integration
|
||||||
.faces(">X")
|
.faces(">X")
|
||||||
.workplane(centerOption="CenterOfBoundBox", offset=-(rear_mount_width-20)/2)
|
.workplane(centerOption="CenterOfBoundBox", offset=-(rear_mount_width - 20) / 2)
|
||||||
.transformed(rotate=cq.Vector(0, 0, 90))
|
.transformed(rotate=cq.Vector(0, 0, 90))
|
||||||
.center(-hinge_w / 2, rear_mount_thickness / 2).tag("hingeplane")
|
.center(-hinge_w / 2, rear_mount_thickness / 2)
|
||||||
|
.tag("hingeplane")
|
||||||
.placeSketch(hinge_profile_1)
|
.placeSketch(hinge_profile_1)
|
||||||
.extrude(-hinge_t)
|
.extrude(-hinge_t)
|
||||||
.workplaneFromTagged("hingeplane")
|
.workplaneFromTagged("hingeplane")
|
||||||
.workplane(offset=-hinge_t - hinge_gap)
|
.workplane(offset=-hinge_t - hinge_gap)
|
||||||
.placeSketch(hinge_profile_2)
|
.placeSketch(hinge_profile_2)
|
||||||
.extrude(-hinge_t))
|
.extrude(-hinge_t)
|
||||||
|
)
|
||||||
|
|
||||||
exporters.export(rear_mount, "rear_mount.stl")
|
exporters.export(rear_mount, "rear_mount.stl")
|
@ -21,7 +21,7 @@ elbow_hinge_shape = (
|
|||||||
arm_length = 150
|
arm_length = 150
|
||||||
arm_width = hinge_gap
|
arm_width = hinge_gap
|
||||||
|
|
||||||
lower_arm = (
|
upper_arm = (
|
||||||
cq.Workplane("XY")
|
cq.Workplane("XY")
|
||||||
.rect(hinge_w, hinge_gap)
|
.rect(hinge_w, hinge_gap)
|
||||||
.extrude(arm_length)
|
.extrude(arm_length)
|
||||||
@ -51,4 +51,4 @@ lower_arm = (
|
|||||||
.extrude(-(2 * hinge_t + hinge_gap))
|
.extrude(-(2 * hinge_t + hinge_gap))
|
||||||
)
|
)
|
||||||
|
|
||||||
exporters.export(lower_arm, "upper_arm.stl")
|
exporters.export(upper_arm, "upper_arm.stl")
|
||||||
|
Loading…
Reference in New Issue
Block a user